Commit 3fb1e502 authored by Antenore Gatta's avatar Antenore Gatta

Update .gitlab-ci.yml to libfreerdp2 and other deps

parent 783576ce
Pipeline #43159119 failed
......@@ -30,22 +30,17 @@ ubuntu:devel:
python3-software-properties
- apt-add-repository $FREERDP_DAILY_PPA -y
- apt-get update -qq
- apt-get install -y -qq build-essential git-core cmake
libssl-dev libx11-dev libxext-dev libxinerama-dev
libxcursor-dev libxdamage-dev libxv-dev
libcups2-dev libxml2 libxml2-dev libxkbfile-dev
libasound2-dev libxrandr-dev libgstreamer0.10-dev
libgstreamer-plugins-base0.10-dev libgstreamer1.0-dev
libgstreamer-plugins-base1.0-dev libxi-dev
libavutil-dev libavcodec-dev libxtst-dev
libgtk-3-dev libgcrypt11-dev libssh-dev libpulse-dev
libvte-2.91-dev libxkbfile-dev libfreerdp-dev
libtelepathy-glib-dev libjpeg-dev libgnutls-dev
libgnome-keyring-dev libavahi-ui-gtk3-dev
libvncserver-dev libappindicator3-dev intltool
libsecret-1-dev libwebkit2gtk-3.0-dev libsoup2.4-dev
libjson-glib-dev libspice-protocol-dev
libspice-client-gtk-3.0-dev
- apt-get install -y -qq build-essential git-core cmake libssl-dev \
libx11-dev libxext-dev libxinerama-dev libxcursor-dev libxdamage-dev \
libxv-dev libxkbfile-dev libasound2-dev libcups2-dev libxml2 libxml2-dev \
libxrandr-dev libgstreamer1.0-dev libgstreamer-plugins-base1.0-dev \
libxi-dev libavutil-dev libavcodec-dev libxtst-dev libgtk-3-dev \
libgcrypt11-dev libssh-dev libpulse-dev libvte-2.91-dev libxkbfile-dev \
libtelepathy-glib-dev libjpeg-dev libgnutls28-dev libgnome-keyring-dev \
libavahi-ui-gtk3-dev libvncserver-dev libappindicator3-dev intltool \
libsecret-1-dev libwebkit2gtk-4.0-dev libsystemd-dev libsoup2.4-dev \
libjson-glib-dev libavresample-dev libfreerdp2-dev
script:
- mkdir $BUILD_FOLDER
- cmake -B$BUILD_FOLDER -H. $CMAKE_BUILD_OPTIONS
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment